#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mpeg_splay (library) ######################

tde_add_library( mpeg_splay STATIC_PIC
  SOURCES
    mpegAudioHeader.cpp mpegAudioStream.cpp
    huffmantable.cpp
    mpeglayer1.cpp
    mpeglayer2.cpp
    mpeglayer3.cpp
    mpegtable.cpp
    mpegtoraw.cpp
    dxHead.cpp
    mpegAudioBitWindow.cpp huffmanlookup.cpp
    splayDecoder.cpp
    dump.cpp synth_filter.cpp
    synthesis.cpp synth_Std.cpp synth_Down.cpp
    mpegAudioFrame.cpp
    mpegAudioInfo.cpp
)


##### other data ################################

install(
  FILES
    splayDecoder.h mpegAudioInfo.h mpegAudioFrame.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mpeglib/splay
)
